Bug 691592 - gs 9.00: bbox driver returns a wrong result
gs 9.00: bbox driver returns a wrong result
Status: RESOLVED FIXED
Product: Ghostscript
Classification: Unclassified
Component: General
0.00
All All
: P1 blocker
Assigned To: Chris Liddell (chrisl)
Bug traffic
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-03 13:16 UTC by Takanori Yamamoto
Modified: 2010-09-07 21:53 UTC (History)
1 user (show)

See Also:
Customer:
Word Size: ---


Attachments
latexit-sample.tex (271 bytes, application/x-tex)
2010-09-03 13:17 UTC, Takanori Yamamoto
Details
latexit-sample.pdf (5.75 KB, application/pdf)
2010-09-03 13:18 UTC, Takanori Yamamoto
Details
latexit-screenshot.png (43.19 KB, image/png)
2010-09-03 13:19 UTC, Takanori Yamamoto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Takanori Yamamoto 2010-09-03 13:16:21 UTC
Seems that gs 9.00's bbox driver returns a wrong result.


$ gs -sDEVICE=bbox -dNOPAUSE -dBATCH sample.pdf
GPL Ghostscript 8.71 (2010-02-10)
Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Processing pages 1 through 1.
Page 1
%%BoundingBox: 243 676 348 697   <--- correct
%%HiResBoundingBox: 243.647993 676.169979 347.183989 696.383979


$ gs -sDEVICE=bbox -dNOPAUSE -dBATCH sample.pdf
GPL Ghostscript RELEASE CANDIDATE 9.00 (2010-09-01)
Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Processing pages 1 through 1.
Page 1
%%BoundingBox: 236 670 343 690   <--- wrong!
%%HiResBoundingBox: 236.933993 670.607980 342.665990 689.741979


Due to this problem, some applications like 'LaTeXiT' doesn't work as expected with gs9.
Comment 1 Takanori Yamamoto 2010-09-03 13:17:38 UTC
Created attachment 6699 [details]
latexit-sample.tex
Comment 2 Takanori Yamamoto 2010-09-03 13:18:00 UTC
Created attachment 6700 [details]
latexit-sample.pdf
Comment 3 Takanori Yamamoto 2010-09-03 13:19:13 UTC
Created attachment 6701 [details]
latexit-screenshot.png
Comment 4 Ken Sharp 2010-09-03 14:00:57 UTC
This is a problem with the FreeType implementation, exhibited because the content is entirely textual.

Using -dDisableFAPI=true gives the expected result. There are only a few pixels different in the rendered output, and the BoundingBox with FreeType is definitely not consistent with the actual bounding box of the rendered output.

Assigning to Chris.
Comment 5 Takanori Yamamoto 2010-09-03 15:55:07 UTC
Thanks for your hint, Ken.

I reinstalled gs9 with '--disable-freetype' and everything is now ok. :-)

(In reply to comment #4)
> This is a problem with the FreeType implementation, exhibited because the
> content is entirely textual.
> 
> Using -dDisableFAPI=true gives the expected result.
Comment 6 Ray Johnston 2010-09-03 22:30:06 UTC
Updating the severity status according to discussions on IRC with Chris and
Henry.
Comment 7 Chris Liddell (chrisl) 2010-09-07 21:53:10 UTC
fixed in revision 11690 (it did cause a build issue which gave rise to
revisions 11691 and 11692).